#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long int a[1000000],n,x,i,j=-1,k=-1,s=0;
    cin>>n>>x;
    for(i=0;i<n;i++)
        cin>>a[i];
    sort(a,a+n);
    j=a[0];
    k=a[n-1];
    if (x-j<0)
    {
        s=k-x;
    }
    else if (k-x<0)
    {
        s=x-j;
    }
    else
    {
        if (x-j<k-x)
            s=x-j+k-j;
        else
            s=k-x+k-j;
    }
    cout<<s;
}